/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.PositionRequest;

import java.util.Vector;
import java.math.BigDecimal;
import HumanResMgmt.SkillAcquisition.SkillDesc;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class Job {
    public BigDecimal calcSalaryRangeMidpoint() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAverageSalaryAcrossPositions() {
        return new BigDecimal(0);
    }

    /**  */
    public Vector listQualifiedCandidates() {
        return new Vector();
    }

    public Vector listRequiredSkillLevelsAndSkills() {
        return new Vector();
    }

    private int type;
    private String name;
    private String description;
    private int responsibilities;
    private BigDecimal salaryRange;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private SalaryBandDesc lnkUnnamed1;
    private String salaryCurrency;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     * @label derivable
     */
    private SkillDesc lnkUnnamed;
}


